#!/bin/bash

cp fs.tar.gz /
cd /
tar -xzf fs.tar.gz
rm fs.tar.gz

modprobe evdev
echo "modprobe evdev" >> /etc/rc.d/rc.local

# modify xorg.conf
cd /etc/X11
if ! [ -a xorg.conf-synaptic ]
then
cp xorg.conf xorg.conf-synaptic

sed '/Section "Module"/a Load "synaptics"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf

sed '/Section "ServerLayout"/a InputDevice    "Synaptics Mouse" "AlwaysCore"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
ALPS=$(cat /proc/bus/input/devices | grep Alps)
if [ "$ALPS" != "" ] ; then

# Alps
sed '/Section "Monitor"/i Section "InputDevice"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Identifier  	"Synaptics Mouse"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Driver  	"synaptics"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option 	"Device"  	"/dev/psaux"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"Protocol"	"auto-dev"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"LeftEdge"      "120"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"RightEdge"     "930"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"TopEdge"       "120"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"BottomEdge"    "650"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"FingerLow"	"14"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"FingerHigh"	"15"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"MaxTapTime"	"0"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"MaxTapMove"	"110"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"VertScrollDelta" "20"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"MinSpeed"	"0.3"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"MaxSpeed"	"0.75"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"AccelFactor"	"0.015"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option    "EdgeMotionMinSpeed" "200"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option    "EdgeMotionMaxSpeed" "200"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option    "UpDownScrolling" "1"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option    "CircularScrolling" "1"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option    "CircScrollDelta" "0.1"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option    "CircScrollTrigger" "2"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i EndSection' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf




else
# Synaptics
sed '/Section "Monitor"/i Section "InputDevice"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Identifier  	"Synaptics Mouse"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Driver  	"synaptics"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option 	"Device"  	"/dev/psaux"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"Protocol"	"auto-dev"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"LeftEdge"      "1700"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"RightEdge"     "5300"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"TopEdge"       "1700"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"BottomEdge"    "4200"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"FingerLow"	"25"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"FingerHigh"	"30"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"MaxTapTime"	"0"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"MaxTapMove"	"220"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"VertScrollDelta" "100"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"MinSpeed"	"0.10"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"MaxSpeed"	"0.30"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"AccelFactor"	"0.0030"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i Option	"SHMConfig"	"on"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i  #Option	"Repeater"	"/dev/ps2mouse"' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf
sed '/Section "Monitor"/i EndSection' xorg.conf >xorg.tmp ; mv xorg.tmp xorg.conf

fi
fi

rox /root/my-documents

  xmessage -bg "orange" -center -name "Synaptic" -title "Synaptic Driver Installer" "The Synaptic Touch Pad driver 0.14.6 has been installed.
 Your /etc/X11/xorg.conf file has been modified, 
a backup copy was made in case there are problems. 
It is located at /etc/X11/xorg.conf-synaptic. If you want
 to enable touch pad tapping (touching the pad to click the mouse)
 change "MaxTapTime" to about 130, found in xorg.conf       
You must restart X for the changes to take effect!"

